<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Parameters (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Parameters (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Parameters.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/MultiFileBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/PropertiesBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/fluent/Parameters.html" target="_top">Frames</a></li>
<li><a href="Parameters.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder.fluent</div>
<h2 title="Class Parameters" class="title">Class Parameters</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.builder.fluent.Parameters</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">Parameters</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block"><p>
 A convenience class for creating parameter objects for initializing
 configuration builder objects.
 </p>
 <p>
 For setting initialization properties of new configuration objects, a number
 of specialized parameter classes exists. These classes use inheritance to
 organize the properties they support in a logic way. For instance, parameters
 for file-based configurations also support the basic properties common to all
 configuration implementations, parameters for XML configurations also include
 file-based and basic properties, etc.
 </p>
 <p>
 When constructing a configuration builder, an easy-to-use fluent API is
 desired to define specific properties for the configuration to be created.
 However, the inheritance structure of the parameter classes makes it
 surprisingly difficult to provide such an API. This class comes to rescue by
 defining a set of methods for the creation of interface-based parameter
 objects offering a truly fluent API. The methods provided can be called
 directly when setting up a configuration builder as shown in the following
 example code fragment:
 </p>

 <pre>
 Parameters params = new Parameters();
 configurationBuilder.configure(params.fileBased()
         .setThrowExceptionOnMissing(true).setEncoding(&quot;UTF-8&quot;)
         .setListDelimiter('#').setFileName(&quot;test.xml&quot;));
 </pre>

 <p>
 Using this class it is not only possible to create new parameters objects but
 also to initialize the newly created objects with default values. This is
 via the associated <a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersManager.html" title="class in org.apache.commons.configuration2.builder"><code>DefaultParametersManager</code></a> object. Such an object
 can be passed to the constructor, or a new (uninitialized) instance is
 created. There are convenience methods for interacting with the associated
 <code>DefaultParametersManager</code>, namely to register or remove
 <a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersHandler.html" title="interface in org.apache.commons.configuration2.builder"><code>DefaultParametersHandler</code></a> objects. On all newly created parameters
 objects the handlers registered at the associated <code>DefaultParametersHandler</code>
 are automatically applied.
 </p>
 <p>
 Implementation note: This class is thread-safe.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: Parameters.java 1785035 2017-03-01 20:58:32Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#Parameters--">Parameters</a></span>()</code>
<div class="block">Creates a new instance of <code>Parameters</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#Parameters-org.apache.commons.configuration2.builder.DefaultParametersManager-">Parameters</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersManager.html" title="class in org.apache.commons.configuration2.builder">DefaultParametersManager</a>&nbsp;manager)</code>
<div class="block">Creates a new instance of <code>Parameters</code> and initializes it with the
 given <code>DefaultParametersManager</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#basic--">basic</a></span>()</code>
<div class="block">Creates a new instance of a parameters object for basic configuration
 properties.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/CombinedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">CombinedBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#combined--">combined</a></span>()</code>
<div class="block">Creates a new instance of a parameters object for combined configuration
 builder properties.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/DatabaseBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">DatabaseBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#database--">database</a></span>()</code>
<div class="block">Creates a new instance of a parameters object for database
 configurations.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/FileBasedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">FileBasedBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#fileBased--">fileBased</a></span>()</code>
<div class="block">Creates a new instance of a parameters object for file-based
 configuration properties.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersManager.html" title="class in org.apache.commons.configuration2.builder">DefaultParametersManager</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#getDefaultParametersManager--">getDefaultParametersManager</a></span>()</code>
<div class="block">Returns the <code>DefaultParametersManager</code> associated with this object.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/HierarchicalBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">HierarchicalBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#hierarchical--">hierarchical</a></span>()</code>
<div class="block">Creates a new instance of a parameters object for hierarchical
 configurations.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/INIBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">INIBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#ini--">ini</a></span>()</code>
<div class="block">Creates a new instance of a parameters object for INI configurations.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/JndiBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">JndiBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#jndi--">jndi</a></span>()</code>
<div class="block">Creates a new instance of a parameters object for JNDI configurations.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/MultiFileBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">MultiFileBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#multiFile--">multiFile</a></span>()</code>
<div class="block">Creates a new instance of a parameters object for a builder for multiple
 file-based configurations.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/PropertiesBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">PropertiesBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#properties--">properties</a></span>()</code>
<div class="block">Creates a new instance of a parameters object for properties
 configurations.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#registerDefaultsHandler-java.lang.Class-org.apache.commons.configuration2.builder.DefaultParametersHandler-">registerDefaultsHandler</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;paramsClass,
                       <a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersHandler.html" title="interface in org.apache.commons.configuration2.builder">DefaultParametersHandler</a>&lt;? super T&gt;&nbsp;handler)</code>
<div class="block">Registers the specified <code>DefaultParametersHandler</code> object for the
 given parameters class.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#registerDefaultsHandler-java.lang.Class-org.apache.commons.configuration2.builder.DefaultParametersHandler-java.lang.Class-">registerDefaultsHandler</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;paramsClass,
                       <a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersHandler.html" title="interface in org.apache.commons.configuration2.builder">DefaultParametersHandler</a>&lt;? super T&gt;&nbsp;handler,
                       <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;startClass)</code>
<div class="block">Registers the specified <code>DefaultParametersHandler</code> object for the
 given parameters class and start class in the inheritance hierarchy.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/XMLBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">XMLBuilderParameters</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html#xml--">xml</a></span>()</code>
<div class="block">Creates a new instance of a parameters object for XML configurations.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Parameters--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Parameters</h4>
<pre>public&nbsp;Parameters()</pre>
<div class="block">Creates a new instance of <code>Parameters</code>. A new, uninitialized
 <a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersManager.html" title="class in org.apache.commons.configuration2.builder"><code>DefaultParametersManager</code></a> is created.</div>
</li>
</ul>
<a name="Parameters-org.apache.commons.configuration2.builder.DefaultParametersManager-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Parameters</h4>
<pre>public&nbsp;Parameters(<a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersManager.html" title="class in org.apache.commons.configuration2.builder">DefaultParametersManager</a>&nbsp;manager)</pre>
<div class="block">Creates a new instance of <code>Parameters</code> and initializes it with the
 given <code>DefaultParametersManager</code>. Because
 <code>DefaultParametersManager</code> is thread-safe, it makes sense to share
 a single instance between multiple <code>Parameters</code> objects; that way
 the same initialization is performed on newly created parameters objects.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>manager</code> - the <code>DefaultParametersHandler</code> (may be <b>null</b>,
        then a new default instance is created)</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDefaultParametersManager--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultParametersManager</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersManager.html" title="class in org.apache.commons.configuration2.builder">DefaultParametersManager</a>&nbsp;getDefaultParametersManager()</pre>
<div class="block">Returns the <code>DefaultParametersManager</code> associated with this object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>DefaultParametersManager</code></dd>
</dl>
</li>
</ul>
<a name="registerDefaultsHandler-java.lang.Class-org.apache.commons.configuration2.builder.DefaultParametersHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerDefaultsHandler</h4>
<pre>public&nbsp;&lt;T&gt;&nbsp;void&nbsp;registerDefaultsHandler(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;paramsClass,
                                        <a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersHandler.html" title="interface in org.apache.commons.configuration2.builder">DefaultParametersHandler</a>&lt;? super T&gt;&nbsp;handler)</pre>
<div class="block">Registers the specified <code>DefaultParametersHandler</code> object for the
 given parameters class. This is a convenience method which just delegates
 to the associated <code>DefaultParametersManager</code>.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the type of the parameters supported by this handler</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>paramsClass</code> - the parameters class supported by this handler (must
        not be <b>null</b>)</dd>
<dd><code>handler</code> - the <code>DefaultParametersHandler</code> to be registered
        (must not be <b>null</b>)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if a required parameter is missing</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersManager.html" title="class in org.apache.commons.configuration2.builder"><code>DefaultParametersManager</code></a></dd>
</dl>
</li>
</ul>
<a name="registerDefaultsHandler-java.lang.Class-org.apache.commons.configuration2.builder.DefaultParametersHandler-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerDefaultsHandler</h4>
<pre>public&nbsp;&lt;T&gt;&nbsp;void&nbsp;registerDefaultsHandler(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;paramsClass,
                                        <a href="../../../../../../org/apache/commons/configuration2/builder/DefaultParametersHandler.html" title="interface in org.apache.commons.configuration2.builder">DefaultParametersHandler</a>&lt;? super T&gt;&nbsp;handler,
                                        <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;?&gt;&nbsp;startClass)</pre>
<div class="block">Registers the specified <code>DefaultParametersHandler</code> object for the
 given parameters class and start class in the inheritance hierarchy. This
 is a convenience method which just delegates to the associated
 <code>DefaultParametersManager</code>.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the type of the parameters supported by this handler</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>paramsClass</code> - the parameters class supported by this handler (must
        not be <b>null</b>)</dd>
<dd><code>handler</code> - the <code>DefaultParametersHandler</code> to be registered
        (must not be <b>null</b>)</dd>
<dd><code>startClass</code> - an optional start class in the hierarchy of parameter
        objects for which this handler should be applied</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if a required parameter is missing</dd>
</dl>
</li>
</ul>
<a name="basic--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basic</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&nbsp;basic()</pre>
<div class="block">Creates a new instance of a parameters object for basic configuration
 properties.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new parameters object</dd>
</dl>
</li>
</ul>
<a name="fileBased--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fileBased</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/fluent/FileBasedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">FileBasedBuilderParameters</a>&nbsp;fileBased()</pre>
<div class="block">Creates a new instance of a parameters object for file-based
 configuration properties.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new parameters object</dd>
</dl>
</li>
</ul>
<a name="combined--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>combined</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/fluent/CombinedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">CombinedBuilderParameters</a>&nbsp;combined()</pre>
<div class="block">Creates a new instance of a parameters object for combined configuration
 builder properties.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new parameters object</dd>
</dl>
</li>
</ul>
<a name="jndi--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jndi</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/fluent/JndiBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">JndiBuilderParameters</a>&nbsp;jndi()</pre>
<div class="block">Creates a new instance of a parameters object for JNDI configurations.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new parameters object</dd>
</dl>
</li>
</ul>
<a name="hierarchical--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hierarchical</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/fluent/HierarchicalBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">HierarchicalBuilderParameters</a>&nbsp;hierarchical()</pre>
<div class="block">Creates a new instance of a parameters object for hierarchical
 configurations.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new parameters object</dd>
</dl>
</li>
</ul>
<a name="xml--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>xml</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/fluent/XMLBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">XMLBuilderParameters</a>&nbsp;xml()</pre>
<div class="block">Creates a new instance of a parameters object for XML configurations.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new parameters object</dd>
</dl>
</li>
</ul>
<a name="properties--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>properties</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/fluent/PropertiesBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">PropertiesBuilderParameters</a>&nbsp;properties()</pre>
<div class="block">Creates a new instance of a parameters object for properties
 configurations.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new parameters object</dd>
</dl>
</li>
</ul>
<a name="multiFile--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>multiFile</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/fluent/MultiFileBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">MultiFileBuilderParameters</a>&nbsp;multiFile()</pre>
<div class="block">Creates a new instance of a parameters object for a builder for multiple
 file-based configurations.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new parameters object</dd>
</dl>
</li>
</ul>
<a name="database--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>database</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/fluent/DatabaseBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">DatabaseBuilderParameters</a>&nbsp;database()</pre>
<div class="block">Creates a new instance of a parameters object for database
 configurations.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new parameters object</dd>
</dl>
</li>
</ul>
<a name="ini--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ini</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/fluent/INIBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">INIBuilderParameters</a>&nbsp;ini()</pre>
<div class="block">Creates a new instance of a parameters object for INI configurations.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new parameters object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Parameters.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/MultiFileBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/PropertiesBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/fluent/Parameters.html" target="_top">Frames</a></li>
<li><a href="Parameters.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
